#Set the office property on all mailboxes in the Sales OU
Get-Mailbox OrganizationalUnit Sales | Set-Mailbox Office Sales

#Add all mailboxes in the Sales OU to the Sales Distribution Group
Get-Mailbox OrganizationalUnit Sales | Add-DistributionGroupMember Sales

#Multiple cmdlets within a loop
foreach($mailbox in Get-Mailbox OrganizationalUnit Sales) {
  Set-Mailbox $mailbox -Office Phoenix
  Set-User $mailbox -Department Sales
}

#or...

$mailbox = Get-Mailbox OrganizationalUnit Sales
$mailbox | ForEach-Object {
  Set-Mailbox $_ -Office Phoenix
  Set-User $_ -Department Sales
}