#Sends an HTML Email report for the 10 largest mailboxes (disconnected mailboxes excluded)

$css = @"
    <style type="text/css">

    table {
        border-spacing: 0px;
        border-collapse: collapse;
        background: #F9F5D7;
        border: 2px solid #000000;
        font-family:arial;
    }
    table td {
        text-align: left;
        border: 0px;
        border-bottom: 2px solid #000000;
        border-left: 2px solid #000000;
        padding: 0.1em 0.5em;
        font-family:arial;
    }
    table th {
        text-align: left;
        font-weight: bold;
        background-color: #AA0000;
        padding: 0.1em 0.5em;        
        color: #FFFFFF;
        border: 2px solid #000000;
        font-family:arial;
    }
    
    </style>
"@

[string]$report = Get-Mailbox -ResultSize Unlimited -RecipientType UserMailbox | 
 Get-MailboxStatistics | ?{!$_.DisconnectDate} | 
  Sort-Object TotalItemSize -Desc | 
   Select-Object DisplayName,Database,TotalItemSize -First 10 | 
    ConvertTo-Html -head $css

Send-MailMessage -To support@contoso.com `
-From powershell@contoso.com `
-Subject "Mailbox Report for $((Get-Date).ToShortDateString())" `
-Body $report `
-BodyAsHtml `
-SmtpServer ex01.contoso.com
